class SaysConnectAvatar

  BUCKET_DEVELOPMENT  = "says-connect-development"
  BUCKET_STAGING      = "says-connect-staging"
  BUCKET_PRODUCTION   = "says-connect-production"

  def self.url(email,size="small")
    bucket = BUCKET_DEVELOPMENT
    case Rails.env
    when "staging"
      bucket = BUCKET_STAGING
    when "production"
      bucket = BUCKET_PRODUCTION
    end

    "http://#{bucket}.s3.amazonaws.com/avatars/#{Digest::MD5.hexdigest(email)}_#{size}_thumb.jpg"
  end
end